org.eclipse.net4j.util.security

## Enum CredentialsUpdateOperation

- java.lang.Object
- - java.lang.Enum<CredentialsUpdateOperation>
  - - org.eclipse.net4j.util.security.CredentialsUpdateOperation

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CredentialsUpdateOperation>

      public enum CredentialsUpdateOperation
      extends java.lang.Enum<CredentialsUpdateOperation>

  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHANGE_PASSWORD`
    `RESET_PASSWORD`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static CredentialsUpdateOperation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CredentialsUpdateOperation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CHANGE_PASSWORD

          public static final CredentialsUpdateOperation CHANGE_PASSWORD

    - #### RESET_PASSWORD

          public static final CredentialsUpdateOperation RESET_PASSWORD

  - ### Method Detail

    - #### values

          public static CredentialsUpdateOperation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CredentialsUpdateOperation c : CredentialsUpdateOperation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CredentialsUpdateOperation valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CredentialsUpdateOperation>`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html